function init()
{
   for(var _loc3_ in objArray)
   {
      var _loc1_ = objArray[_loc3_];
      var _loc2_ = 10000 - _loc1_.z;
      _loc2_ = checkDepth(_loc2_);
      _loc1_.swapDepths(_loc2_);
      make3D(_loc1_);
   }
}
function checkDepth(depth)
{
   if(this.getInstanceAtDepth(depth) != undefined)
   {
      checkDepth(depth = depth + 1);
   }
   return depth;
}
function addObj(objName, x, y, z)
{
   var _loc3_ = _global.atMV(objName,this,{_x:x,_y:y});
   _loc3_._x = x;
   _loc3_._y = y;
   _loc3_.x = x;
   _loc3_.y = y;
   _loc3_.z = z;
   make3D(_loc3_);
   array_AddObj(_loc3_);
}
function addObj_exist(obj, z, depthOffset)
{
   obj.x = obj._x;
   obj.y = viewY;
   obj.z = z;
   obj.depthOffset = depthOffset;
   make3D(obj);
   array_AddObj(obj);
}
function resetBullet(id)
{
   if(id == 1)
   {
      bullet.x = adder_mc.x;
      bullet.y = adder_mc.y;
      make3D(bullet);
      bullet.reset();
   }
   else if(id == 2)
   {
      bullet2.x = adder_mc2.x;
      bullet2.y = adder_mc2.y;
      make3D(bullet2);
      bullet2.reset();
   }
}
function addBalloon()
{
   var _loc17_ = _root.gameLevel;
   var _loc8_ = 30;
   var _loc13_ = undefined;
   var _loc12_ = undefined;
   _loc13_ = 30 + int(Math.random() * 20);
   _loc12_ = 30 + int(Math.random() * 20);
   var _loc5_ = _loc13_ * ExtMath.cosD(_loc12_);
   var _loc3_ = _loc13_ * ExtMath.sinD(_loc12_);
   var _loc9_ = _loc3_;
   var _loc15_ = _loc3_ / _root.Vg * 2;
   var _loc14_ = _loc5_ * _loc15_;
   var _loc16_ = 100;
   var _loc11_ = (_loc14_ - _loc16_ * 2) / _loc8_;
   var _loc7_ = adder_mc.x;
   var _loc6_ = adder_mc.y;
   var _loc4_ = 0;
   var _loc10_ = 0;
   while(true)
   {
      _loc7_ += _loc5_;
      _loc6_ += _loc3_;
      _loc3_ -= _root.Vg;
      if(_loc3_ < - _loc9_)
      {
         break;
      }
      _loc4_ += _loc5_;
      if(_loc4_ >= _loc11_)
      {
         _loc4_ = 0;
         _loc10_ = _loc10_ + 1;
         objNum++;
         _loc8_ = _loc8_ - 1;
         var _loc2_ = attachMovie("balloon_mc","balloon" + objNum,objNum + 10000);
         _loc2_.x = _loc7_;
         _loc2_.y = viewY - _loc6_ + 100;
         _loc2_.z = 4;
         objArray.push(_loc2_);
         balloonArray.push(_loc2_);
      }
   }
   balloonNum = balloonArray.length;
   balloonAll = balloonNum;
}
function addTree()
{
   var _loc2_ = 0;
   while(_loc2_ < numTrees)
   {
      objNum++;
      var _loc1_ = attachMovie("tree","tree" + _loc2_,objNum);
      _loc1_.x = Math.random() * 10000 - 1000;
      _loc1_.y = viewY;
      _loc1_.z = int(Math.random() * 2000) + z_tree2;
      objArray.push(_loc1_);
      _loc2_ = _loc2_ + 1;
   }
   _loc2_ = 0;
   while(_loc2_ < 20)
   {
      objNum++;
      _loc1_ = attachMovie("tree","tree1_" + _loc2_,objNum);
      _loc1_.x = int(Math.random() * 4000) - 700;
      _loc1_.y = viewY;
      _loc1_.z = _loc2_ + z_tree1;
      objArray.push(_loc1_);
      _loc2_ = _loc2_ + 1;
   }
}
function array_AddObj(obj)
{
   objArray.push(obj);
   obj.arrayID = objArray.length - 1;
}
function array_DeleteObj(obj)
{
   objArray.splice(obj.arrayID,1);
}
function cameraMove(dx, dz)
{
   vx = - dx;
   for(var _loc2_ in objArray)
   {
      var _loc1_ = objArray[_loc2_];
      _loc1_.x += vx;
      _loc1_.y += vy;
      _loc1_.z += vz;
      make3D(_loc1_);
   }
}
function cameraChase(target_mc, centerX, centerY)
{
   var LeftX = 100;
   var RightX = _root.stageW - 100;
   var topY = 50;
   var bottomY = _root.stageH - 250;
   var landY = role._y;
   this.onEnterFrame = function()
   {
      var _loc4_ = _global.lToG(target_mc);
      if(role._y < landY)
      {
         centerY += viewY;
      }
      var _loc6_ = (_loc4_.x - centerX) / 4;
      var _loc5_ = (_loc4_.y - centerY) / 4;
      if(_loc4_.x < LeftX)
      {
         _loc6_ += _loc4_.x - LeftX;
      }
      else if(_loc4_.x > RightX)
      {
         _loc6_ += _loc4_.x - RightX;
      }
      if(_loc4_.y < topY)
      {
         _loc5_ += _loc4_.y - topY;
      }
      else if(_loc4_.y > bottomY)
      {
         _loc5_ += _loc4_.y - bottomY;
      }
      if(_loc6_ * _loc6_ + _loc5_ * _loc5_ == 0)
      {
         delete this.onEnterFrame;
      }
      vx = - _loc6_;
      vy = - _loc5_;
      for(var _loc7_ in objArray)
      {
         var _loc3_ = objArray[_loc7_];
         _loc3_.x += vx;
         _loc3_.y += vy;
         _loc3_.z += vz;
         make3D(_loc3_);
      }
   };
}
function cameraChase_stop()
{
   delete this.onEnterFrame;
}
function cameraMoveTo(target_mc, centerX, centerY)
{
   this.onEnterFrame = function()
   {
      var _loc7_ = _global.lToG(target_mc);
      var _loc6_ = (_loc7_.x - centerX) / 4;
      var _loc5_ = (_loc7_.y - centerY) / 4;
      if(_loc6_ * _loc6_ + _loc5_ * _loc5_ < 0.1)
      {
         delete this.onEnterFrame;
      }
      vx = - _loc6_;
      vy = - _loc5_;
      for(var _loc4_ in objArray)
      {
         var _loc3_ = objArray[_loc4_];
         _loc3_.x += vx;
         _loc3_.y += vy;
         _loc3_.z += vz;
         make3D(_loc3_);
      }
   };
}
function make3D(mc)
{
   var _loc2_ = fl / (fl + mc.z);
   mc._xscale = mc._yscale = _loc2_ * 100;
   mc._x = mc.x * _loc2_;
   mc._y = mc.y * _loc2_;
}
stop();
var fl = 200;
var numTrees = 100;
var vx = 0;
var vy = 0;
var vz = 0;
var viewY = _root.viewY;
var objNum = 0;
var z_tree1 = 50;
var z_tree2 = 70;
var z_cloud = 1000;
var depthOffset1 = 100;
var depthOffset2 = 50;
var depthOffset3 = 0;
var objArray = new Array();
addObj_exist(role,-5,depthOffset1);
role.init(role2);
addObj_exist(bullet,3,depthOffset1);
addObj_exist(hill,7,depthOffset1);
addObj_exist(adder_mc,10,depthOffset1);
var balloonArray = new Array();
var balloonNum;
var balloonAll;
var balloonHit = 0;
addTree();
addBalloon();
init();
